SDL_RemovePath(3)

NAME
SDL_RemovePath - Remove a file or an empty directory.

HEADER FILE
Defined in SDL3/SDL_filesystem.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RemovePath(const char *path);

DESCRIPTION
Directories that are not empty will fail; this function will not recursely delete directory trees.

FUNCTION PARAMETERS

path
    the path to remove from the filesystem.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.